Bug 149277 - Database Browser: Query disappears if it has the same name as a following database - Tree list sort
Summary: Database Browser: Query disappears if it has the same name as a following dat...
Status: CLOSED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
7.1.0.3 release
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:7.5.0 target:7.3.7 target:7.4....
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2022-05-25 07:12 UTC by Robert Großkopf
Modified: 2022-12-14 09:19 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By: Caolán McNamara


Attachments
Databases: Register with there names and have a look at the queries (6.22 KB, application/zip)
2022-05-25 07:12 UTC, Robert Großkopf
Details
Screenshot of missing query (34.12 KB, application/pdf)
2022-05-25 07:13 UTC, Robert Großkopf
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Großkopf 2022-05-25 07:12:53 UTC
Created attachment 180359 [details]
Databases: Register with there names and have a look at the queries

Download the attached *.zip-file with two little databases.
Both database will contain the same queries and the same tables.
Register both databases with the database name.

Now open Calc and open the database browser.
Look at the queries for database "Orte" 
There will appear only the query "Orte", not the query "Personen".
Look at the queries for database "Personen".
There will appear both queries.

This buggy behavior appears only if the query with the same name as a database will be sorted before the following database.

This bug first appears with LO 7.1.0.3, works well in older versions, tested here with LO 7.0.5.2 and also LO 6.4.7.2
Comment 1 Robert Großkopf 2022-05-25 07:13:26 UTC
Created attachment 180360 [details]
Screenshot of missing query
Comment 2 Alex Thurgood 2022-05-27 08:29:03 UTC
Confirming with

Version: 7.3.1.3 / LibreOffice Community
Build ID: a69ca51ded25f3eefd52d7bf9a5fad8c90b87951
CPU threads: 8; OS: Mac OS X 12.2.1; UI render: default; VCL: osx
Locale: fr-FR (fr_FR.UTF-8); UI: fr-FR
Calc: threaded


Another fun observation : if you don't load the databases into LO first, and just open the Calc DataSourceBrowser after registering the ODB files, closing LO and restarting, then the SVListTree entry for queries in "Orte" is completely blank, whereas the Personen query entries are correct.

If I load each ODB file into LO, close them and then open a Calc file and go to the DataSourceBrowser, I can reproduce exactly what you have reported.
Comment 3 raal 2022-10-03 21:06:28 UTC
This seems to have begun at the below commit.
Adding Cc: to Caolán McNamara; Could you possibly take a look at this one?
Thanks
 f68d1ea220dedd04dc2dc7226ea078fa20d8f004 is the first bad commit
commit f68d1ea220dedd04dc2dc7226ea078fa20d8f004
Author: Jenkins Build User <tdf@pollux.tdf>
Date:   Wed Aug 12 22:31:40 2020 +0200

    source 7b314c6aceb51d01b9b4314764b0f5852b4fb655

https://git.libreoffice.org/core/+/7b314c6aceb51d01b9b4314764b0f5852b4fb655
Comment 4 Commit Notification 2022-10-05 18:15:36 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/6aaeeb5a2a0cd7bc8c511c1bf7515e0943940797

Resolves: tdf#149277 we don't want to search the whole tree for dups

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Caolán McNamara 2022-10-05 18:17:05 UTC
done in trunk, backport to 7-4 and 7-3 in gerrit
Comment 6 Commit Notification 2022-10-06 02:43:47 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-7-3":

https://git.libreoffice.org/core/commit/4cad7711c35091e90515c446b4cae43c07ab4d90

Resolves: tdf#149277 we don't want to search the whole tree for dups

It will be available in 7.3.7.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2022-10-06 02:43:57 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-7-4":

https://git.libreoffice.org/core/commit/98a35a2fdbd0de9afedc48812d9821dc0305f575

Resolves: tdf#149277 we don't want to search the whole tree for dups

It will be available in 7.4.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2022-10-06 08:15:37 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-7-4-2":

https://git.libreoffice.org/core/commit/3d6e58bf7db631043da44655cac5eb828dbbfdcc

Resolves: tdf#149277 we don't want to search the whole tree for dups

It will be available in 7.4.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 kathy 2022-12-14 09:10:07 UTC Comment hidden (spam)